﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.MemberListDto>
@{
    ViewBag.Title = "Member List";
}

<!-- Start XP Contentbar -->
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <h5 class="card-title text-black mb-0">회원관리</h5>
                </div>
                <div class="card-body table-responsive">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            @using (Html.BeginForm("", "MemberList", FormMethod.Post))
                            {
                                <div class="xp-alert">
                                    <div class="row justify-content-center">
                                        <div class="form-row">
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.DropDownList("drp", ViewBag.Search as SelectList, new { @class = "bg-white border form-control" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white", @style = "width: 700px;" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <button type="submit" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            }
                            <p class="mt-2">
                                회원자료 삭제 시 다른 회원이 기존 회원아이디를 사용하지 못하도록 회원아이디, 이름, 닉네임은 삭제하지 않고 영구 보관합니다.
                            </p>
                        </div>
                    </div>
                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                       
                            <div class="align-middle">
                                <span class="badge badge-primary badge-pill">총회원수 @ViewBag.Count 명</span>
                                <div class="float-right">
                                    @using (Html.BeginForm("ExportToExcel", "MemberList", FormMethod.Post))
                                    {
                                        <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                                        <button type="button" id="btnDel" style="margin-top:-10px;" class="btn btn-rounded btn-danger"><i class="icon-trash mr-2"></i> Delete</button>
                                        <button type="button" style="margin-top:-10px;" class="btn btn-rounded btn-success" onclick="location.href='@Url.Action("Create", "MemberList")'"><i class="icon-plus mr-2"></i> Insert</button>
                                    }
                                </div>
                            </div>
                            <div class="table-responsive m-b-30 mt-2">
                                <table class="table table-bordered">
                                    <thead class="thead-dark">
                                        <tr class="text-center">
                                            <th rowspan="2" class="align-middle" style="width:50px;"><input type="checkbox" id="checkAll"></th>
                                            <th scope="col" colspan="2" class="align-middle">아이디</th>
                                            <th scope="col" rowspan="2" class="align-middle">상품1현황</th>
                                            <th scope="col" rowspan="2" class="align-middle">상품2현황</th>
                                            <th scope="col" rowspan="2" class="align-middle">상품3현황</th>
                                            <th scope="col" class="align-middle">수수료</th>
                                            @*<th scope="col" class="align-middle">상태</th>*@
                                            <th rowspan="2" class="align-middle">휴대폰</th>
                                            <th rowspan="2" class="align-middle">가입일</th>
                                            <th scope="col" rowspan="2" class="align-middle" width="120">관리</th>
                                        </tr>
                                        <tr class="text-center">
                                            <th scope="col" class="align-middle">성함</th>
                                            <th scope="col" class="align-middle">추천인</th>
                                            <th scope="col" class="align-middle">수수료금액(원)</th>
                                            @*<th scope="col" class="align-middle">권한</th>*@
                                            @*<th scope="col" class="align-middle">전화번호</th>*@
                                            @*<th scope="col" class="align-middle">최종접속</th>*@
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model != null && Model.Count() != 0)
                                        {
                                            foreach (var item in Model)
                                            {
                                        <tr class="text-center">
                                            <td rowspan="2">
                                                @Html.CheckBox("templateId", new { value = item.id, @class = "checkBox" })
                                            </td>
                                            <td scope="col" colspan="2" class="align-middle">@Html.DisplayFor(modelItem => item.username)</td>
                                            <td scope="col" rowspan="2" class="align-middle">@Html.DisplayFor(modelItem => item.p1_amt) 건</td>
                                            <td scope="col" rowspan="2" class="align-middle">@Html.DisplayFor(modelItem => item.p2_amt) 건</td>
                                            <td scope="col" rowspan="2" class="align-middle">@Html.DisplayFor(modelItem => item.p3_amt) 건</td>
                                            <td scope="col" class="align-middle"><b>@Html.DisplayFor(modelItem => item.point)</b></td>
                                            @*<td scope="col" class="align-middle">@Html.DisplayFor(modelItem => item.status)</td>*@
                                            <td rowspan="2" class="align-middle">@Html.DisplayFor(modelItem => item.mobile)</td>
                                            
                                            <td  rowspan="2" class="align-middle">@Html.DisplayFor(modelItem => item.create_date).ToString().Substring(0, 10)</td>
                                            <td scope="col" rowspan="2" class="align-middle">
                                                <div class="justify-content-center row">
                                                    @using (Html.BeginForm("Edit", "MemberList", new { id = item.id }, FormMethod.Get))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-primary" style="float: none; margin: 5px;" title="수정">
                                                            <span class="icon-note"></span>
                                                        </button>
                                                    }
                                                </div>
                                            </td>
                                        </tr>
                                                <tr class="text-center">
                                                    <td scope="col" class="align-middle">@Html.DisplayFor(modelItem => item.fullname)</td>
                                                    <td scope="col" class="align-middle">@Html.DisplayFor(modelItem => item.adviser_name)</td>
                                                    <td scope="col" class="align-middle">
                                                        <p>@Html.DisplayFor(modelItem => item.memo)원</p>
                                                    </td>
                                                    @*<td scope="col" class="align-middle">@Html.DropDownListFor(modelItem => item.member_no, new SelectList(ViewBag.Status, "Value", "Text", item.member_no), new { @class = "form-control bg-white border" })</td>*@
                                                    @*<td scope="col" class="align-middle">@Html.DisplayFor(modelItem => item.telephone)</td>*@
                                                    @*<td scope="col" class="align-middle">@Html.DisplayFor(modelItem => item.last_date).ToString().Substring(0, 10)</td>*@
                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr class="text-center">
                                                <td colspan="16">
                                                    No Data !!
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>
                                @{
                                    if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                                    {
                                        <div class="justify-content-center row">

                                            @Html.PagedListPager(Model, Page => Url.Action("Index", "MemberList", new { Page }))

                                        </div>
                                    }
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <!-- End XP Col -->
    </div>
</div>
<!-- End XP Contentbar -->
<!-- Start XP Footerbar -->

<script>
    $(function () {
        $("#liMember").addClass("active");
        $("#meMember").addClass("active");
       
        $("#checkAll").click(function () {
            $(".checkBox").prop('checked',
                $(this).prop('checked'));
        });
        $("#btnDel").click(function () {
            var selectedIDs = new Array();
            $('input:checkbox.checkBox').each(function () {
                if ($(this).prop('checked')) {
                    selectedIDs.push($(this).val());
                }
            });
            //alert(selectedIDs); return;
            if (selectedIDs == null || selectedIDs == "") {
                alert("Please select at least 1 item.");
                return;
            }
            var options = {};
            options.url = "/MemberList/Delete";
            options.type = "POST";
            options.data = JSON.stringify(selectedIDs);
            options.contentType = "application/json";
            options.dataType = "json";
            options.success = function (msg) {
                alert(msg);
                location.reload();
            };
            options.error = function () {
                alert("Error while deleting the records!");
            };
            $.ajax(options);

        });
    });
    function addamount(id) {
        var r = confirm("1구좌 추가생성하시겠습니까??");
        if (r == true) {
            $.ajax({
                type: "POST",
                url: "/MemberList/Add",
                data: "{'id':'" + id + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    alert(msg);
                    location.reload();
                }
            });
        }
    }
    function Export() {       
        $.ajax({
            type: "POST",
            url: "/MemberList/Export",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {}
        });
    }
</script>